#ifdef STM32L1XX_MD
#include "stm32l1xx.h"
#else
#include "stm32f10x.h"
#endif /* STM32L1XX_MD */

#include "math.h"
#include "string.h"

//ָ
extern const uint8_t StatetoRTI;	//TMS:11111000
extern const uint8_t RTItoShiftDR;	//TMS:00000100
extern const uint8_t RTItoShiftIR;	//TMS:00001100
extern const uint8_t Exit1orPausetoRTI;	//TMS:10000000 or TMS:11000000
extern const uint8_t Send_ReceiveDataBytes;	//TMS:(N*0)
extern const uint8_t Send_ReceiveDataBitsandtoEXT1orPause;	//TMS:(N-1)*0+1+(8-N)*0

extern uint8_t EP1_TX_Buffer[64];
extern uint8_t EP1_RX_Buffer[64];

extern uint8_t EP1_TX_Count;
extern uint8_t EP1_RX_Count;
extern uint8_t EP3_RX_Count;
extern uint8_t EP2_TX_Count;

extern uint8_t USB_RX_Buffer[512];
extern uint8_t USB_TX_Buffer[512];
extern uint8_t *USB_RX_Buffer_ADDR;

extern uint16_t USB_RX_Count;

extern uint8_t USB_RX_Done;
extern uint8_t USB_TX_Done;

extern uint8_t *USB_RX_Buffer_ADDR;
extern uint8_t *USB_TX_Buffer_ADDR;
extern uint16_t USB_TX_Count_Buf;//ʣδݳ
extern uint16_t USB_RX_Count_Buf;//ѽݳ

extern uint16_t SPI_Data_Count;  //ҲʾUSB_TX_Count

extern uint8_t SPI_RX_Buffer[512];
extern uint8_t SPI_TX_Buffer[512];

extern uint8_t Data_Process;
extern uint16_t Data_Process_ADDR;

extern uint8_t 	instructionTMS[6];



